# fix build (debuginfo package is empty...):
%define debug_package %{nil}

Name:      ibus-table
Summary:   ibus - table-based engine
Version:   1.9.16
Release:   %mkrel 1
Group:     System/Internationalization
License:   GPLv2+
URL:       https://github.com/kaio/ibus-table
Source0:   https://github.com/kaio/ibus-table/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires: ibus-devel >= 1.2.0
BuildRequires: python3-devel >= 3.3
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires: pkgconfig(gobject-introspection-1.0)
Requires:  ibus >= 1.2.0
Requires:  python3
Provides:  %{name}-devel = %{version}-%{release}

%description
ibus - table-based engine.

%package compose
Summary: Mimic Compose Key input
Group: System/Internationalization
Requires: %{name} >= 1.2.0.20091113-3
Conflicts: %{name} < 1.2.0.20091113-3

%description compose
Provides Mimic Compose Key input via ibus-table.

%package latex
Summary: Use LaTeX input keystrokes to input symbols
Group: System/Internationalization
Requires: %{name} >= 1.2.0.20091113-3
Conflicts: %{name} < 1.2.0.20091113-3

%description latex
Use LaTeX input keystrokes to input lots of symbols.

%prep
%setup -q 

%build
%configure2_5x
%make

%install
%makeinstall_std NO_INDEX=1

mkdir -p %{buildroot}%{_datadir}/pkgconfig/
mv %{buildroot}%{_libdir}/pkgconfig/ibus-table.pc %{buildroot}%{_datadir}/pkgconfig/ibus-table.pc

%find_lang %{name}


%files -f %{name}.lang
%{_bindir}/ibus-table-createdb
%{_libexecdir}/ibus-*
%{_datadir}/pkgconfig/ibus-table.pc
%{_datadir}/applications/ibus-setup-table.desktop
%{_datadir}/ibus-table
%{_datadir}/ibus/component/*.xml
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man1/ibus-*


%changelog
* Tue May 23 2017 yochenhsieh <yochenhsieh> 1.9.16-1.mga6
+ Revision: 1104282
- New version 1.9.16

* Tue Jan 03 2017 yochenhsieh <yochenhsieh> 1.9.14-1.mga6
+ Revision: 1079895
- New version 1.9.14

* Wed May 11 2016 yochenhsieh <yochenhsieh> 1.9.12-1.mga6
+ Revision: 1012987
- new version 1.9.12

* Fri Feb 12 2016 yochenhsieh <yochenhsieh> 1.9.11-1.mga6
+ Revision: 957272
- New version 1.9.11

* Mon Sep 07 2015 fwang <fwang> 1.9.6-2.mga6
+ Revision: 873888
- move to noarch package

* Mon Sep 07 2015 fwang <fwang> 1.9.6-1.mga6
+ Revision: 873887
- 1.9.6

* Sun Sep 06 2015 tv <tv> 1.8.10-4.mga6
+ Revision: 873173
- fix build with rpm-4.13 (debuginfo package is empty...)
- switch to new upstream file trigger syntax

* Thu Oct 16 2014 luigiwalser <luigiwalser> 1.8.10-3.mga5
+ Revision: 759359
- the ibus-table-createdb command requires python3

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.10-2.mga5
+ Revision: 680424
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Sat Sep 06 2014 tv <tv> 1.8.10-1.mga5
+ Revision: 672662
- switch to python3
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1.5.0-2.mga4
+ Revision: 523660
- Mageia 4 Mass Rebuild

* Fri May 24 2013 fwang <fwang> 1.5.0-1.mga4
+ Revision: 425887
- new version 1.5.0

* Sat Jan 12 2013 umeabot <umeabot> 1.4.99.20121112-2.mga3
+ Revision: 354087
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 fwang <fwang> 1.4.99.20121112-1.mga3
+ Revision: 317011
- new version 1.4.99.20121112

* Sat Oct 20 2012 fwang <fwang> 1.4.99.20121012-1.mga3
+ Revision: 308408
- new version 1.4.99.20121012

* Thu Oct 11 2012 fwang <fwang> 1.4.99.20121011-1.mga3
+ Revision: 304618
- update file list
- new version 1.4.99.20121011

* Sat Sep 03 2011 fwang <fwang> 1.3.9.20110827-1.mga2
+ Revision: 138111
- update file list
- new version 1.3.9.20110827

* Thu Mar 24 2011 boklm <boklm> 1.3.0.20100621-3.mga1
+ Revision: 76156
- rebuild for bug #497

* Fri Mar 18 2011 tv <tv> 1.3.0.20100621-2.mga1
+ Revision: 73612
- imported package ibus-table

